Subject: ANNOUNCE: XbmBrowser v5.0 Release

From: Anthony Thyssen <[email-masked]>
Date: Tue, 11 Jul 1995 18:11:05 +1000

Announcing a NEW release of...
       __  ___               ____
       \ \/ / |__  _ __ ___ | __ ) _ __ _____      _____  ___ _ __
        \  /| '_ \| '_ ` _ \|  _ \| '__/ _ \ \ /\ / / __|/ _ \ '__|
        /  \| |_) | | | | | | |_) | | | (_) \ V  V /\__ \  __/ |
       /_/\_\_.__/|_| |_| |_|____/|_|  \___/ \_/\_/ |___/\___|_|
                 __   __          _            ___   __  
                 \ \ / /__ _ _ __(_)___ _ _   | __| /  \ 
                  \ V / -_) '_(_-< / _ \ ' \  |__ \| () |
                   \_/\___|_| /__/_\___/_||_| |___(_)__/

XbmBrowser (version 5.0)
   A program to allow the user to view a complete directory of X bitmaps
and X pixmaps all in one go, and to perform user defined actions on
these images. If you don't think this is usful, you have never dealt with
a directory of small icon images.

       Copyright   Ashley Roll  and  Anthony Thyssen

Original Program:     Ashley Roll      [email-masked]      upto version 3.2
Current Programmer:   Anthony Thyssen  [email-masked]  version 4.0 on

And a special thanks to all Beta Testers for the testing of this new version.

-------------------------------------------------------------------------------

WHERE TO GET IT

  XbmBrowser
     ftp.x.org   /contrib/utilities/xbmbrowser5.0.tar.gz
     archie.au   /X11R6/contrib/utilities/xbmbrowser5.0.tar.gz

and all its mirrors. You may also like to get and install the package
before tring to build this program so that it can read and display
Xpixmap files too.
  
  XPM  (X Pixmap Library)
     ftp.x.org   /contrib/libraries/xpm-3.4f.tar.gz  

-------------------------------------------------------------------------------

The Major new features over the version 4 releases are ...

1/ Shaped windows and Icon Labeling. Which makes the browser must more
   professional and useful.

   A number of beta testers have commented that xbmbrowser could become
   the basis of a X windows file manager.  I agree but that is not its
   purpose.

2/ A NEW user defined main called "main"

       Please update your system wide "xbmbrowser.menu" files.
       and notify users of the new menu for their ".xbmbrowser"
       definitions.

    This menu replaces the old ``QUIT'' button at the top of the browser.
    Its purpose is to provide a place for users to place directory jumps
    to areas where they use xbmbrowser the most, and for general application
    controls.     PLEASE Mail me any such functions you develop.

    Also note that if no menu was created by the RC file read by xbmbrowser
    a default internal menu containing only a ``Quit'' button is built and
    a warning printed.

3/ More options for the options menu with appropriate X resources for
   better feature control.

And now for a warning.

4/ Directory Menu is to be removed in the next release.

   The Directory Menu (press the menu (3rd) mouse button on the directory
   Text Widget) is slated for removal. The reason for this is that it was
   a stop gap measure to allow users to change directory to subdirectories.
   This function is now handled better thanks to directory file symbols 
   and icon labeling.  It is a kludge.

   If this is not the desire of Xbmbrowser users please mail me. Otherwise
   this will be the last release of xbmbrowser with this menu.

-------------------------------------------------------------------------------

  Anthony Thyssen ( System Programmer )   http://www.cit.gu.edu.au/~anthony/
-------------------------------------------------------------------------------
     Cartoon Law III : Any body passing through solid matter
           will leave a perforation conforming to its perimeter.
-------------------------------------------------------------------------------